// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/tiptilt_ctrl/bcu/Interface/Sharknir/Bcu/ServiceSimulatorFactory.cpp 975 2018-10-31 09:24:04Z depa $
#include "tiptilt_ctrl/bcu/Interface/Sharknir/Bcu/ServiceWorkerSimulator.h"

#include <Basda/Basdard.h>
#include <Basda/ServiceState.h>

extern "C" void instantService(const Nice::JointPtr& config)
{
    const std::string name= config->getAtNode<
            std::map<std::string, std::string> >("LOAD")["NAME"];

    Sharknir::Bcu::ServiceWorkerSimulatorPtr worker=
            new Sharknir::Bcu::ServiceWorkerSimulator(config);

    Basda::Basdard::addWorker(name, worker);
    Nice::Application::distribute(config);
}
